Search found 51 matches

Go to advanced search

by mfasano
Wed May 22, 2019 5:04 pm
Forum: Assembly
Topic: Assembly3 preview
Replies: 1391
Views: 140431

Re: Assembly3 preview

That is still too early to tell. We still need a solver with suitable license first. But at least asm3 can run in official FC if my PR is merged. Can you distribute a workbench under a different license? Then you can just have your workbench with the same license as the solver you use. I guess you ...
by mfasano
Tue Apr 23, 2019 12:48 pm
Forum: Open discussion
Topic: Another FOSS project making the 1.0 jump: SuperTuxKart
Replies: 8
Views: 352

Re: Another FOSS project making the 1.0 jump: SuperTuxKart

I remember someone drew a man made of screws and nuts and was discussed as possible mascot.
by mfasano
Wed Dec 05, 2018 7:49 pm
Forum: Python scripting and macros
Topic: v0.18 use of QML file for a form?
Replies: 1
Views: 153

v0.18 use of QML file for a form?

Hello all;

can I use a form made with Qt Quick in Qt5. It gives a QML file. will version 0.18 work with this? how would I do that? I can not find much about QML files in FreeCAD.

Thanks,
by mfasano
Tue Dec 04, 2018 1:50 pm
Forum: Python scripting and macros
Topic: [Solved] getting point on a face.
Replies: 3
Views: 321

Re: getting point on a face.

I figured it out. GetPoints returns a tuple of Vectors. so

point = pre.GetPoints

point[0] will be the vector I want.

Thanks,
by mfasano
Tue Dec 04, 2018 1:43 pm
Forum: Python scripting and macros
Topic: [Solved] getting point on a face.
Replies: 3
Views: 321

Re: getting point on a face.

it appears GetPoints gives a tuple of 1 item. It is not a string. I don't know what type it is. for example

points = pre.GetPoints

ponts = (vector (2 ,5, 7),)

how to I extract the point from it . I could convert to a string and parse it.

Thanks,
by mfasano
Mon Dec 03, 2018 9:36 pm
Forum: Python scripting and macros
Topic: [Solved] getting point on a face.
Replies: 3
Views: 321

[Solved] getting point on a face.

I would like to get the point that shows up on the status bar when you click on a face. I tried I tried pos = FreeCADGui.ActiveDocument.ActiveView.getPoint(mouseposition) I hope you can help Thanks, import Part, FreeCAD, PartGui, FreeCADGui from FreeCAD import Base, Console #App.newDocument() #This ...
by mfasano
Mon Nov 26, 2018 2:22 pm
Forum: Users Showcase
Topic: Box Creator Script
Replies: 16
Views: 4216

Re: Box Creator Script

I thought about the possibility of a cabinetry workbench, You could specify different kinds of joints like dovetail, mortis and tenon, biscuit joints, etc. There would be dialog boxes like yours for each kind where you would specify the parameters of the joint, and Freecad would make it. This looks ...
by mfasano
Tue Nov 13, 2018 1:39 pm
Forum: Python scripting and macros
Topic: Help to create a new macro
Replies: 7
Views: 381

Re: Help to create a new macro

I find the code snippets helpful

https://www.freecadweb.org/wiki/Code_snippets
by mfasano
Mon Jul 23, 2018 12:25 pm
Forum: Open discussion
Topic: using Freecad in an academic environment
Replies: 9
Views: 463

Re: using Freecad in an academic environment

Hello mstroehle;

You say your studying engineering. Are you in a class that is using Freecad? Are you teaching the class and are the one that decided to use Freecad for the class?
by mfasano
Fri Jun 08, 2018 1:44 pm
Forum: TechDraw
Topic: override dimension value
Replies: 9
Views: 1196

Re: override dimension value

One reason to be able to put something arbitrary in a dimension is if you have models of the same thing in different sizes. I have seen manuals with drawings of dimensions A, B,C and a table to show the dimensions of each model.

Go to advanced search